Bug 10133 - eliminate -c from preprocessor cmd line
eliminate -c from preprocessor cmd line
Status: CLOSED FIXED
Product: ccache
Classification: Unclassified
Component: ccache
3.1.9
All All
: P5 normal
: 3.2
Assigned To: Joel Rosdahl
Joel Rosdahl
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 14:21 UTC by FransM
Modified: 2014-11-17 19:24 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description FransM 2013-09-10 14:21:15 UTC
While preprocessing ccache adds -E to the command line options but does not eliminate the -c
so the command line looks like
cc -c -E input.c

For gcc this is ok as it groks -c and -E together, but other compilers consider -c and -E as conflicting as -c means compile to object and -E stop after cpp.

if -c is eliminated things still work for gcc
gcc -E input.c gives the same output as gcc -c -E input.c
Comment 1 Joel Rosdahl 2013-10-30 20:59:11 UTC
This was fixed in f0db645c75a2c063526685b791a4afd7b2884d1d (not yet in any released ccache version).
Comment 2 Joel Rosdahl 2014-11-17 19:24:35 UTC
Included in v3.2.